Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.security
Interface SecurityProxy

public interface SecurityProxy

An interface describing the requirements for a SecurityInterceptor proxy. A SecurityProxy allows for the externalization of custom security checks on a per-method basis for both the EJB home and remote interface methods. Custom security checks are those that cannot be described using the standard EJB deployment time declarative role based security.

Version:
  $Revision: 1.7 $
Author:
  Scott.Stark@jboss.org

Method Summary
`void` | `init(Class beanHome, Class beanRemote, Class beanLocalHome, Class beanLocal, Object securityMgr)` Inform a proxy of the context in which it is operating.
`void` | `init(Class beanHome, Class beanRemote, Object securityMgr)` Inform a proxy of the context in which it is operating.
`void` | `invoke(Method m, Object[] args, Object bean)` Called to allow the security proxy to perform any custom security checks required for the EJB remote or local interface method.
`void` | `invokeHome(Method m, Object[] args)` Called to allow the security proxy to perform any custom security checks required for the EJB remote or local home interface method.
`void` | `setEJBContext(javax.ejb.EJBContext ctx)` Called prior to any method invocation to set the current EJB context.

Method Detail

### init

    public void init(Class beanHome,
                     Class beanRemote,
                     Object securityMgr)
              throws InstantiationException

  Inform a proxy of the context in which it is operating.

  Parameters:
    `beanHome` - The EJB remote home interface class
    `beanRemote` - The EJB remote interface class
    `securityMgr` - The security manager from the security domain
  Throws:
    `InstantiationException`

### init

    public void init(Class beanHome,
                     Class beanRemote,
                     Class beanLocalHome,
                     Class beanLocal,
                     Object securityMgr)
              throws InstantiationException

  Inform a proxy of the context in which it is operating.

  Parameters:
    `beanHome` - The EJB remote home interface class
    `beanRemote` - The EJB remote interface class
    `beanLocalHome` - The EJB local home interface class, may be null
    `beanLocal` - The EJB local interface class, may be null
    `securityMgr` - The security manager from the security domain
  Throws:
    `InstantiationException`

### setEJBContext

    public void setEJBContext(javax.ejb.EJBContext ctx)

  Called prior to any method invocation to set the current EJB context.

### invokeHome

    public void invokeHome(Method m,
                           Object[] args)
                    throws Exception

  Called to allow the security proxy to perform any custom security checks required for the EJB remote or local home interface method.

  Parameters:
    `m` - , the EJB home or local home interface method
    `args` - , the invocation args
  Throws:
    `Exception`

### invoke

    public void invoke(Method m,
                       Object[] args,
                       Object bean)
                throws Exception

  Called to allow the security proxy to perform any custom security checks required for the EJB remote or local interface method.

  Parameters:
    `m` - , the EJB remote or local interface method
    `args` - , the invocation args
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.